跳到內容

確認嘉賓報名(來自電子郵件中的連結)

POST
/v1/registrations/confirm
curl --request POST \
--url https://api.vimine.network/v1/registrations/confirm \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'

使用確認連結所攜帶的權杖:免費類型即確認(回應帶有 QR Code token);需付參與費的類型在活動的保留期限內保持保留狀態,回應帶有 payment_instructions。重放冪等。

媒體類型application/json
object
token
必填
string
範例自動產生
{
"token": "example"
}

該報名

媒體類型application/json
object
id
string 格式: uuid
status
string
允許的值: reserved confirmed cancelled refunded
event
object
id
string
slug
string
title
string
starts_at
string 格式: date-time
ends_at
string 格式: date-time
可為 null
timezone
string
status
string
location
string
可為 null
registration_type
object
uid
string
cod
string
name
string
amount
number
currency
string
quantity
integer
reserved_until
string 格式: date-time
可為 null
checked_in_at
string 格式: date-time
可為 null
cancelled_at
string 格式: date-time
可為 null
cancel_reason
string
可為 null
can_cancel
boolean
payment
object
status
string
amount
number
currency
string
method
string
paid_at
string 格式: date-time
payment_instructions

保留期間如何繳納參與費

string
可為 null
note

當事人填寫的自由文字。協會聲明其處理特殊類別資料時,不提供給第三方用戶端(null)

string
可為 null
created_at
string 格式: date-time
token

報名的 QR Code 內容(vmt_…),僅限已確認的報名

string
可為 null
範例
{
"status": "reserved"
}

連結無效或已過期(invalid_token)

找不到

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

報名已不再有效,或活動已取消

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}